Package ru.bitel.bgbilling.kernel.customer.common.bean

# Class Customer

java.lang.Object
ru.bitel.bgbilling.kernel.customer.common.bean.Customer

public class Customer extends Object
Набор перечислений ключей для работы с кастомерами. Включает в себя: `Customer.CustomerType` типа кастомера. Юрик или физик `Customer.CustomerFizDocument` - поля документа физ.лица

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Customer.CustomerFizDocument`
  `static enum`
  `Customer.CustomerType`
  `static enum`
  `Customer.Keys`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final List<Customer.Keys>`
  `CONTACT_VALUES`
  `static final List<Customer.Keys>`
  `F_VALUES`
  `static final List<Customer.Keys>`
  `U_BANK_VALUES`
  `static final List<Customer.Keys>`
  `U_DIRECTOR_VALUES`
  `static final List<Customer.Keys>`
  `U_VALUES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Customer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <T> T`
  `define(String key, Class<T> enumWithKey)`
  По ключу определяет значение какого-либо значения из наборов ключей
  `int`
  `getContractCount()`
  `Customer.CustomerType`
  `getCustomerType()`
  `String`
  `getData()`
  `int`
  `getId()`
  `Customer`
  `setContractCount(int contractCount)`
  `Customer`
  `setCustomerType(Customer.CustomerType customerType)`
  `Customer`
  `setData(String data)`
  `Customer`
  `setId(int id)`
  `CustomerF`
  `toCustomerF()`
  `CustomerU`
  `toCustomerU()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### U_VALUES

    public static final List<Customer.Keys> U_VALUES

  - ### U_BANK_VALUES

    public static final List<Customer.Keys> U_BANK_VALUES

  - ### U_DIRECTOR_VALUES

    public static final List<Customer.Keys> U_DIRECTOR_VALUES

  - ### F_VALUES

    public static final List<Customer.Keys> F_VALUES

  - ### CONTACT_VALUES

    public static final List<Customer.Keys> CONTACT_VALUES

- ## Constructor Details

  - ### Customer

    public Customer()

- ## Method Details

  - ### getId

    public int getId()

  - ### getCustomerType

    public Customer.CustomerType getCustomerType()

  - ### getData

    public String getData()

  - ### getContractCount

    public int getContractCount()

  - ### setId

    public Customer setId(int id)

  - ### setCustomerType

    public Customer setCustomerType(Customer.CustomerType customerType)

  - ### setData

    public Customer setData(String data)

  - ### setContractCount

    public Customer setContractCount(int contractCount)

  - ### toCustomerF

    public CustomerF toCustomerF()

  - ### toCustomerU

    public CustomerU toCustomerU()

  - ### define

    public static <T> T define(String key, Class<T> enumWithKey)
    По ключу определяет значение какого-либо значения из наборов ключей
    Type Parameters:
      `T` - тип возвращаемого значения
    Parameters:
      `key` - ключ для поиска
      `enumWithKey` - тип enum'a в котором по ключу будем искать
    Returns:
      значение, если было найдёно в заданном перечислении